Lists
curl --request GET \
--url https://api.themoviedb.org/3/account/{account_id}/lists \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/account/{account_id}/lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/account/{account_id}/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"description": "This is a story to test this API endpoint",
"favorite_count": 0,
"id": 8504086,
"iso_639_1": "en",
"item_count": 1,
"list_type": "movie",
"name": "True Story Of Nnekka",
"poster_path": null
},
{
"description": "This is a story to test this API endpoint",
"favorite_count": 0,
"id": 8505816,
"iso_639_1": "en",
"item_count": 0,
"list_type": "movie",
"name": "True Story Of Nnekka",
"poster_path": null
},
{
"description": "Just an awesome list.",
"favorite_count": 0,
"id": 8504985,
"iso_639_1": "en",
"item_count": 1,
"list_type": "movie",
"name": "This is my awesome test list.",
"poster_path": null
}
],
"total_pages": 1,
"total_results": 3
}Lists
This endpoint get the lists of user’s added movies
GET
/
3
/
account
/
{account_id}
/
lists
Lists
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
user's account id
Query Parameters
session ID for authentication or tracking purposes
Example:
""
page number to retrieve specific paginated results.
Response
200 - application/json
Lists
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"description": "This is a story to test this API endpoint",
"favorite_count": 0,
"id": 8504086,
"iso_639_1": "en",
"item_count": 1,
"list_type": "movie",
"name": "True Story Of Nnekka",
"poster_path": null
},
{
"description": "This is a story to test this API endpoint",
"favorite_count": 0,
"id": 8505816,
"iso_639_1": "en",
"item_count": 0,
"list_type": "movie",
"name": "True Story Of Nnekka",
"poster_path": null
},
{
"description": "Just an awesome list.",
"favorite_count": 0,
"id": 8504985,
"iso_639_1": "en",
"item_count": 1,
"list_type": "movie",
"name": "This is my awesome test list.",
"poster_path": null
}
]
Example:
1
Example:
3
⌘I